#
# spec file for package ghc-sbv
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name sbv
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        7.9
Release:        1.1
Summary:        SMT Based Verification: Symbolic Haskell theorem prover using SMT solving
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-async-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-crackNum-devel
BuildRequires:  ghc-data-binary-ieee754-devel
BuildRequires:  ghc-deepseq-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-generic-deriving-devel
BuildRequires:  ghc-ghc-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-pretty-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-random-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-syb-devel
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-time-devel
%if %{with tests}
BuildRequires:  ghc-Glob-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-doctest-devel
BuildRequires:  ghc-hlint-devel
BuildRequires:  ghc-tasty-devel
BuildRequires:  ghc-tasty-golden-devel
BuildRequires:  ghc-tasty-hunit-devel
BuildRequires:  ghc-tasty-quickcheck-devel
%endif

%description
Express properties about Haskell programs and automatically prove them using
SMT (Satisfiability Modulo Theories) solvers.

For details, please see: <http://leventerkok.github.com/sbv/>.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE
%dir %{_datadir}/%{pkg_name}-%{version}
%dir %{_datadir}/%{pkg_name}-%{version}/SBVTestSuite
%dir %{_datadir}/%{pkg_name}-%{version}/SBVTestSuite/GoldFiles
%{_datadir}/%{pkg_name}-%{version}/SBVTestSuite/GoldFiles/*.gold

%files devel -f %{name}-devel.files
%doc CHANGES.md Documentation README.md

%changelog
* Tue Jun 19 2018 psimons@suse.com
- Update to version 7.9.
  A more detailed change log is not available.
* Wed May  9 2018 psimons@suse.com
- Update to version 7.7.
  A more detailed change log is not available.
* Sun Jan 14 2018 psimons@suse.com
- Update sbv to version 7.5.
  A more detailed change log is not available.
* Sun Nov  5 2017 psimons@suse.com
- Update to version 7.4.
  A more detailed change log is not available.
* Wed Sep 13 2017 psimons@suse.com
- Update to version 7.3.
  A more detailed change log is not available.
* Sun Feb 12 2017 psimons@suse.com
- Update to version 5.14 with cabal2obs.
* Thu Sep 15 2016 psimons@suse.com
- Update to version 5.12 revision 0 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 5.11 revision 0 with cabal2obs.
